# The Diez framework

The packages in this directory provide a general-purpose framework for authoring and deploying design languages using TypeScript. In addition to a methodology for composing design tokens with TypeScript, the Diez framework includes [prefabs](./prefabs/), a rich collection of pre-built, strongly typed, reusable design tokens for expressing common design language elements like Colors and Typography.

The Diez [standard library](./stdlib/) defines cross-platform SDK boilerplate in addition to iOS, Android, and Web native bindings for all the prefabs included with Diez.

Collectively, the Diez framework packages enable a "write once, use anywhere" paradigm for your design language, across codebases.
