// This file was generated with Diez - https://diez.org
// Do not edit this file directly.

package org.diez.stdlibTestStub

import android.graphics.Color as CoreColor
import androidx.core.graphics.ColorUtils

/**
 * A component encapsulating color, including alpha transparency.
 * 
 * You can use the provided static constructors [[Color.rgb]], [[Color.rgba]], [[Color.hsl]], [[Color.hsla]], and
 * [[Color.hex]] to conveniently create color primitives using familiar patterns for color specification.
 *
 */
data class Color(
    /**
     * Provides simple hue-saturation-lightness-alpha color data.
     *
     * 0.16666666666666666
     */
    val h: Float,
    /**
     * Provides simple hue-saturation-lightness-alpha color data.
     *
     * 1
     */
    val s: Float,
    /**
     * Provides simple hue-saturation-lightness-alpha color data.
     *
     * 0.5
     */
    val l: Float,
    /**
     * Provides simple hue-saturation-lightness-alpha color data.
     *
     * 1
     */
    val a: Float
) {
    companion object {}

    val color: Int
        get() {
            val rgb = ColorUtils.HSLToColor(floatArrayOf(this.h * 360, this.s, this.l))
            return CoreColor.argb(
                (this.a * 255).toInt(),
                CoreColor.red(rgb),
                CoreColor.green(rgb),
                CoreColor.blue(rgb)
            )
        }
}
