# diez-webpack-plugin

Integrate a Diez project with Webpack.

## Requirements

- Node >= v6.9.0
- Webpack >= v4.3.0

## Getting Started

To begin, you'll need to install `diez-webpack-plugin`:

```console
$ yarn add -D diez-webpack-plugin
```

Then add the plugin to your `webpack` config. For example:

**webpack.config.js**

```js
const DiezWebpackPlugin = require('diez-webpack-plugin');

module.exports = {
  plugins: [new DiezWebpackPlugin({sdk: 'my-sdk'})],
};
```

And run `webpack` via your preferred method.

## Options

### `sdk`

Type: `String`

The name of the Diez web SDK generated by your project.

### `projectPath`

Type: `String|null`
Default: inferred from `sdk` option

A full path to your Diez project.
